{
  "name": "@openstapps/backend",
  "description": "A reference implementation for a StApps backend",
  "version": "3.0.0-next.0",
  "private": true,
  "type": "module",
  "license": "AGPL-3.0-only",
  "author": "André Bierlein <andre.mt.bierlein@gmail.com>",
  "contributors": [
    "Anselm Stordeur <anselmstordeur@gmail.com>",
    "Benjamin Jöckel",
    "Jovan Krunić <jovan.krunic@gmail.com>",
    "Karl-Philipp Wulfert <krlwlfrt@gmail.com>",
    "Michel Jonathan Schmitz",
    "Rainer Killinger <mail-openstapps@killinger.co>",
    "Sebastian Lange",
    "Thea Schöbl <dev@theaninova.de>"
  ],
  "main": "lib/app.js",
  "bin": "app.js",
  "files": [
    "app.js",
    "lib",
    "config",
    "Dockerfile",
    "README.md",
    "ROUTES.md",
    "CHANGELOG.md"
  ],
  "scripts": {
    "build": "tsup-node",
    "build:docker": "docker build -t openstapps:backend ../../.deploy/backend",
    "deploy": "pnpm --prod --filter=@openstapps/backend deploy ../../.deploy/backend",
    "dev": "tsup --watch --onSuccess \"pnpm run start\"",
    "format": "prettier . -c --ignore-path ../../.gitignore",
    "format:fix": "prettier --write . --ignore-path ../../.gitignore",
    "lint": "tsc --noEmit && eslint --ext .ts src/",
    "lint:fix": "eslint --fix --ext .ts src/",
    "start": "cross-env NODE_CONFIG_ENV=elasticsearch ALLOW_NO_TRANSPORT=true node app.js",
    "start:debug": "cross-env STAPPS_LOG_LEVEL=31 NODE_CONFIG_ENV=elasticsearch ALLOW_NO_TRANSPORT=true node app.js",
    "test": "pnpm run test:unit",
    "test:integration": "sh integration-test.sh",
    "test:unit": "cross-env NODE_CONFIG_ENV=elasticsearch ALLOW_NO_TRANSPORT=true STAPPS_LOG_LEVEL=0 mocha --exit"
  },
  "dependencies": {
    "@elastic/elasticsearch": "8.4.0",
    "@openstapps/core": "workspace:*",
    "@openstapps/core-tools": "workspace:*",
    "@openstapps/logger": "workspace:*",
    "@types/body-parser": "1.19.2",
    "@types/cors": "2.8.13",
    "@types/express": "4.17.17",
    "@types/geojson": "1.0.6",
    "@types/node": "18.15.3",
    "@types/node-cron": "3.0.7",
    "@types/nodemailer": "6.4.7",
    "@types/promise-queue": "2.2.0",
    "@types/uuid": "8.3.4",
    "body-parser": "1.20.2",
    "cors": "2.8.5",
    "cosmiconfig": "8.1.3",
    "express": "4.18.2",
    "express-prom-bundle": "6.6.0",
    "express-promise-router": "4.1.1",
    "got": "12.6.0",
    "moment": "2.29.4",
    "morgan": "1.10.0",
    "nock": "13.3.1",
    "node-cache": "5.1.2",
    "node-cron": "3.0.2",
    "nodemailer": "6.9.1",
    "prom-client": "14.1.1",
    "promise-queue": "2.2.5",
    "uuid": "8.3.2"
  },
  "devDependencies": {
    "@openstapps/api-cli": "workspace:*",
    "@openstapps/eslint-config": "workspace:*",
    "@openstapps/prettier-config": "workspace:*",
    "@openstapps/tsconfig": "workspace:*",
    "@testdeck/mocha": "0.3.3",
    "@types/chai": "4.3.5",
    "@types/chai-as-promised": "7.1.5",
    "@types/mocha": "10.0.1",
    "@types/morgan": "1.9.4",
    "@types/sinon": "10.0.14",
    "@types/sinon-express-mock": "1.3.9",
    "@types/supertest": "2.0.12",
    "c8": "7.14.0",
    "chai": "4.3.7",
    "chai-as-promised": "7.1.1",
    "cross-env": "7.0.3",
    "get-port": "5.1.1",
    "mocha": "10.2.0",
    "mocha-junit-reporter": "2.2.0",
    "mocked-env": "1.3.5",
    "sinon": "15.0.4",
    "sinon-express-mock": "2.2.1",
    "supertest": "6.3.3",
    "ts-node": "10.9.1",
    "tsup": "6.7.0",
    "typescript": "4.9.5"
  },
  "tsup": {
    "entry": [
      "src/cli.ts"
    ],
    "sourcemap": true,
    "clean": true,
    "target": "es2022",
    "format": "esm",
    "outDir": "lib"
  },
  "prettier": "@openstapps/prettier-config",
  "eslintConfig": {
    "extends": [
      "@openstapps"
    ]
  },
  "openstapps-configuration": {
    "overrides": [
      "test"
    ]
  }
}
